Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.config
Enum DatabaseDescriptor.CommitLogSync

    java.lang.Object
      java.lang.Enum<DatabaseDescriptor.CommitLogSync>
          org.apache.cassandra.config.DatabaseDescriptor.CommitLogSync

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DatabaseDescriptor.CommitLogSync>

Enclosing class:
  DatabaseDescriptor

    public static enum DatabaseDescriptor.CommitLogSync

extends java.lang.Enum<DatabaseDescriptor.CommitLogSync>

Enum Constant Summary
`batch`
`periodic`

Method Summary
`static DatabaseDescriptor.CommitLogSync` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DatabaseDescriptor.CommitLogSync[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### periodic

    public static final DatabaseDescriptor.CommitLogSync periodic

### batch

    public static final DatabaseDescriptor.CommitLogSync batch

Method Detail

### values

    public static DatabaseDescriptor.CommitLogSync[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DatabaseDescriptor.CommitLogSync c : DatabaseDescriptor.CommitLogSync.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DatabaseDescriptor.CommitLogSync valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 The Apache Software Foundation